<?xml version="1.0" encoding="ascii"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
          "DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>bitten</title>
  <link rel="stylesheet" href="epydoc.css" type="text/css" />
  <script type="text/javascript" src="epydoc.js"></script>
</head>

<body bgcolor="white" text="black" link="blue" vlink="#204080"
      alink="#204080">
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th bgcolor="#70b0f0" class="navbar-select"
          >&nbsp;&nbsp;&nbsp;Home&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
          </tr></table></th>
  </tr>
</table>
<table width="100%" cellpadding="0" cellspacing="0">
  <tr valign="top">
    <td width="100%">
      <span class="breadcrumbs">
        Package&nbsp;bitten
      </span>
    </td>
    <td>
      <table cellpadding="0" cellspacing="0">
        <!-- hide/show private -->
      </table>
    </td>
  </tr>
</table>
<!-- ==================== PACKAGE DESCRIPTION ==================== -->
<h1 class="epydoc">Package bitten</h1><p class="nomargin-top"></p>
<hr />
<div class="fields">      <p><strong>Version:</strong>
        0.6
      </p>
</div><!-- ==================== SUBMODULES ==================== -->
<a name="section-Submodules"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td align="left" colspan="2" class="table-header">
    <span class="table-header">Submodules</span></td>
</tr>
  <tr><td class="summary">
  <ul class="nomargin">
    <li> <strong class="uidlink"><a href="bitten.admin-module.html">bitten.admin</a></strong>: <em class="summary">Implementation of the web administration interface.</em>    </li>
    <li> <strong class="uidlink"><a href="bitten.api-module.html">bitten.api</a></strong>: <em class="summary">Interfaces of extension points provided by the Bitten Trac plugin.</em>    </li>
    <li> <strong class="uidlink"><a href="bitten.build-module.html">bitten.build</a></strong>
    <ul>
    <li> <strong class="uidlink"><a href="bitten.build.api-module.html">bitten.build.api</a></strong>: <em class="summary">Functions and classes used to simplify the implementation recipe commands.</em>    </li>
    <li> <strong class="uidlink"><a href="bitten.build.config-module.html">bitten.build.config</a></strong>: <em class="summary">Support for build slave configuration.</em>    </li>
    <li> <strong class="uidlink"><a href="bitten.build.ctools-module.html">bitten.build.ctools</a></strong>: <em class="summary">Recipe commands for build tasks commonly used for C/C++ projects.</em>    </li>
    <li> <strong class="uidlink"><a href="bitten.build.hgtools-module.html">bitten.build.hgtools</a></strong>: <em class="summary">Recipe commands for Mercurial.</em>    </li>
    <li> <strong class="uidlink"><a href="bitten.build.javatools-module.html">bitten.build.javatools</a></strong>: <em class="summary">Recipe commands for tools commonly used in Java projects.</em>    </li>
    <li> <strong class="uidlink"><a href="bitten.build.monotools-module.html">bitten.build.monotools</a></strong>: <em class="summary">Recipe commands for tools commonly used in Mono projects.</em>    </li>
    <li> <strong class="uidlink"><a href="bitten.build.phptools-module.html">bitten.build.phptools</a></strong>: <em class="summary">Recipe commands for tools commonly used in PHP projects.</em>    </li>
    <li> <strong class="uidlink"><a href="bitten.build.pythontools-module.html">bitten.build.pythontools</a></strong>: <em class="summary">Recipe commands for tools commonly used by Python projects.</em>    </li>
    <li> <strong class="uidlink"><a href="bitten.build.shtools-module.html">bitten.build.shtools</a></strong>: <em class="summary">Generic recipe commands for executing external processes.</em>    </li>
    <li> <strong class="uidlink"><a href="bitten.build.svntools-module.html">bitten.build.svntools</a></strong>: <em class="summary">Recipe commands for Subversion.</em>    </li>
    <li> <strong class="uidlink"><a href="bitten.build.xmltools-module.html">bitten.build.xmltools</a></strong>: <em class="summary">Recipe commands for XML processing.</em>    </li>
    </ul>
    </li>
    <li> <strong class="uidlink"><a href="bitten.main-module.html">bitten.main</a></strong>    </li>
    <li> <strong class="uidlink"><a href="bitten.master-module.html">bitten.master</a></strong>: <em class="summary">Build master implementation.</em>    </li>
    <li> <strong class="uidlink"><a href="bitten.model-module.html">bitten.model</a></strong>: <em class="summary">Model classes for objects persisted in the database.</em>    </li>
    <li> <strong class="uidlink"><a href="bitten.notify-module.html">bitten.notify</a></strong>    </li>
    <li> <strong class="uidlink"><a href="bitten.queue-module.html">bitten.queue</a></strong>: <em class="summary">Implements the scheduling of builds for a project.</em>    </li>
    <li> <strong class="uidlink"><a href="bitten.recipe-module.html">bitten.recipe</a></strong>: <em class="summary">Execution of build recipes.</em>    </li>
    <li> <strong class="uidlink"><a href="bitten.report-module.html">bitten.report</a></strong>
    <ul>
    <li> <strong class="uidlink"><a href="bitten.report.coverage-module.html">bitten.report.coverage</a></strong>    </li>
    <li> <strong class="uidlink"><a href="bitten.report.lint-module.html">bitten.report.lint</a></strong>    </li>
    <li> <strong class="uidlink"><a href="bitten.report.testing-module.html">bitten.report.testing</a></strong>    </li>
    </ul>
    </li>
    <li> <strong class="uidlink"><a href="bitten.slave-module.html">bitten.slave</a></strong>: <em class="summary">Implementation of the build slave.</em>    </li>
    <li> <strong class="uidlink"><a href="bitten.upgrades-module.html">bitten.upgrades</a></strong>: <em class="summary">Automated upgrades for the Bitten database tables, and other data stored
in the Trac environment.</em>    </li>
    <li> <strong class="uidlink"><a href="bitten.util-module.html">bitten.util</a></strong>: <em class="summary">Generic utility functions and classes.</em>
    <ul>
    <li> <strong class="uidlink"><a href="bitten.util.compat-module.html">bitten.util.compat</a></strong>: <em class="summary">Compatibility fixes for external libraries and Python.</em>    </li>
    <li> <strong class="uidlink"><a href="bitten.util.json-module.html">bitten.util.json</a></strong>: <em class="summary">Utility functions for converting to web formats</em>    </li>
    <li> <strong class="uidlink"><a href="bitten.util.loc-module.html">bitten.util.loc</a></strong>: <em class="summary">Support for counting the lines of code in Python programs.</em>    </li>
    <li> <strong class="uidlink"><a href="bitten.util.testrunner-module.html">bitten.util.testrunner</a></strong>    </li>
    <li> <strong class="uidlink"><a href="bitten.util.xmlio-module.html">bitten.util.xmlio</a></strong>: <em class="summary">Utility code for easy input and output of XML.</em>    </li>
    </ul>
    </li>
    <li> <strong class="uidlink"><a href="bitten.web_ui-module.html">bitten.web_ui</a></strong>: <em class="summary">Implementation of the Bitten web interface.</em>    </li>
  </ul></td></tr>
</table>

<br />
<!-- ==================== VARIABLES ==================== -->
<a name="section-Variables"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td align="left" colspan="2" class="table-header">
    <span class="table-header">Variables</span></td>
</tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="PROTOCOL_VERSION"></a><span class="summary-name">PROTOCOL_VERSION</span> = <code title="5">5</code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="__package__"></a><span class="summary-name">__package__</span> = <code title="None">None</code>
    </td>
  </tr>
</table>
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th bgcolor="#70b0f0" class="navbar-select"
          >&nbsp;&nbsp;&nbsp;Home&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
          </tr></table></th>
  </tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="100%%">
  <tr>
    <td align="left" class="footer">
    Generated by Epydoc 3.0.1 on Fri Mar 11 14:53:35 2011
    </td>
    <td align="right" class="footer">
      <a target="mainFrame" href="http://epydoc.sourceforge.net"
        >http://epydoc.sourceforge.net</a>
    </td>
  </tr>
</table>

<script type="text/javascript">
  <!--
  // Private objects are initially displayed (because if
  // javascript is turned off then we want them to be
  // visible); but by default, we want to hide them.  So hide
  // them unless we have a cookie that says to show them.
  checkCookie();
  // -->
</script>
</body>
</html>
